package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Glp;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface GlpMapper {

    int insert(Glp record);

    int insertSelective(Glp record);

    int updateByPrimaryKeySelective(Glp record);

    int updateByPrimaryKey(Glp record);

    int deleteByPrimaryKey(Glp record);

    int deleteByIds(Collection<Object> collection);

    Glp selectByPrimaryKey(Glp record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Glp> dyncRead(Map<String,Object> dyncMap);

    int deleteBySrctrninr(String trninr);

}